Subject: Re: git-grep to operate across who repository and not just CWD?

From: Michael J Gruber <[email-masked]>
Date: Tue, 01 Mar 2011 09:54:55 +0100

Nguyen Thai Ngoc Duy venit, vidit, dixit 01.03.2011 09:16:
> On Tue, Mar 1, 2011 at 3:05 PM, Michael J Gruber
> <[email-masked]> wrote:
>> I would love "git grep" to be repowise, with the simple "git grep ." to
>> make it relative to cwd. We've discussed making more commands repowise,
>> and the consensus (which I've stated above, accepting the majority vote)
>> was that some should stay, e.g. git-grep. The discussion started with
>>
>> <http://permalink.gmane.org/gmane.comp.version-control.git/166135>
>>
>> and the consensus is stated here:
>>
>> <http://permalink.gmane.org/gmane.comp.version-control.git/167149>
>>
>> This does not prevent you from submitting a "--full-tree" patch for
>> git-grep, of course.
> 
> In fact Junio wrote one:
> 
> http://mid.gmane.org/[email-masked]

Oh yes, thanks for reminding me. And guess who replied first back then?
Oh well...

> If I remember correctly, it was dropped because of the interaction
> with pathspecs (relative to cwd vs to worktree's root). I'd be great
> if someone can pick it up and finish it.

Rereading that thread, I don't think there was any objection against
"--full-tree", but it suffered from DTD (discussed-to-death). To make it
really usefull, one would need a short-cut/option/whatever, and that's
where the discussion went astray. I have an idea, though :)

Michael